当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu因依赖关系不能安装软件,咋办??
帖子发表于 : 2005-11-04 0:21 
头像

注册: 2005-10-11 23:14
帖子: 73
送出感谢: 0 次
接收感谢: 0 次
不能安装软件,d4x,rcconf等都无法安装。如:
yuanzheng@ubuntu:~$ sudo apt-get install d4x
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
gstreamer0.8-plugins: 依赖: gstreamer0.8-visuals (>= 0.8.11) 但是它将不会被安 装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。

但是apt-get -f install来安装gstreamer0,8-visuals时,又会发生错误:

正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 59784 个文件和目录。)
正在解压缩 gstreamer0.8-visuals (从 .../gstreamer0.8-visuals_0.8.11-0unofficialubuntu3_i386.deb) ...
dpkg:处理 /var/cache/apt/archives/gstreamer0.8-visuals_0.8.11-0unofficialubuntu3_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/gstreamer-0.8/libgstgoom.so”,它属于软件包 gstreamer0.8-misc
在处理时有错误发生:
/var/cache/apt/archives/gstreamer0.8-visuals_0.8.11-0unofficialubuntu3_i386.debE: Sub-process /usr/bin/dpkg returned an error code (1)



_________________
卖裤子支持开源,卖身支持linux


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2005-11-04 0:24 
头像

注册: 2005-10-11 23:14
帖子: 73
送出感谢: 0 次
接收感谢: 0 次
yuanzheng@ubuntu:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在更正依赖关系... 完成
将会安装下列的额外的软件包:
gstreamer0.8-visuals
下列【新】软件包将被安装:
gstreamer0.8-visuals
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 50 个软件未被升 级。
有 27 个软件包没有被完全安装或卸载。
需要下载 0B/63.0kB 的软件包。
解压缩后会消耗掉 176kB 的额外空间。
您希望继续执行吗?[Y/n]y
【警告】:下列的软件包不能通过认证!
gstreamer0.8-visuals
不经验证就安装这些软件包么?[y/N] y

正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 59784 个文件和目录。)
正在解压缩 gstreamer0.8-visuals (从 .../gstreamer0.8-visuals_0.8.11-0unofficialubuntu3_i386.deb) ...
dpkg:处理 /var/cache/apt/archives/gstreamer0.8-visuals_0.8.11-0unofficialubuntu3_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/gstreamer-0.8/libgstgoom.so”,它属于软件包 gstreamer0.8-misc
在处理时有错误发生:
/var/cache/apt/archives/gstreamer0.8-visuals_0.8.11-0unofficialubuntu3_i386.debE: Sub-process /usr/bin/dpkg returned an error code (1)


_________________
卖裤子支持开源,卖身支持linux


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2005-11-04 0:32 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
gstreamer0.8-misc卸载了。再安装呢。


_________________
● 鸣学


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2005-11-04 22:12 
头像

注册: 2005-10-11 23:14
帖子: 73
送出感谢: 0 次
接收感谢: 0 次
解决了。gstreamer0.8-misc卸不掉,我把gstreame0.8-plugins给卸了,一切都解决了,云开日出。


_________________
卖裤子支持开源,卖身支持linux


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译